GCLOUD_CONTAINER_CLUSTERS_CREATE(1)

NAME

gcloud container clusters create - create a cluster for running containers

SYNOPSIS

gcloud container clusters create NAME [--additional-zones ZONE,[ZONE,...]] [--async] [--cluster-ipv4-cidr CLUSTER_IPV4_CIDR] [--disable-addons [DISABLE_ADDONS,...]] [--disk-size DISK_SIZE] [--enable-autoscaling] [--no-enable-cloud-endpoints] [--no-enable-cloud-logging] [--no-enable-cloud-monitoring] [--machine-type MACHINE_TYPE, -m MACHINE_TYPE] [--max-nodes MAX_NODES] [--max-nodes-per-pool MAX_NODES_PER_POOL] [--min-nodes MIN_NODES] [--network NETWORK] [--num-nodes NUM_NODES; default="3"] [--password PASSWORD] [--scopes SCOPE,[SCOPE,...]] [--subnetwork SUBNETWORK] [--username USERNAME, -u USERNAME; default="admin"] [--wait] [--zone ZONE, -z ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
Create a cluster for running containers.

POSITIONAL ARGUMENTS
NAME
    The name of this cluster.

FLAGS
--additional-zones ZONE,[ZONE,...]
    The set of additional zones in which the specified node footprint should be replicated. All zones must be in the same region as the cluster's primary zone. If additional-zones is not specified, all nodes will be in the cluster's primary zone. Note that NUM_NODES nodes will be created in each zone, such that if you specify --num-nodes=4 and choose one additional zone, 8 nodes will be created. Multiple locations can be specified, separated by commas. For example:
        $ {command} example-cluster --zone us-central1-a \
            --additional-zones us-central1-b,us-central1-c
--async
    Don't wait for the operation to complete. Use --no-async to disable.
--cluster-ipv4-cidr CLUSTER_IPV4_CIDR
    The IP address range for the pods in this cluster in CIDR notation (e.g. 10.0.0.0/14). Defaults to server-specified
--disable-addons [DISABLE_ADDONS,...]
    List of cluster addons to disable. Options are HttpLoadBalancing, HorizontalPodAutoscaling
--disk-size DISK_SIZE
    Size in GB for node VM boot disks. Defaults to 100GB.
--enable-autoscaling
    Enables autoscaling for the node pool.
--enable-cloud-endpoints
    Automatically enable Google Cloud Endpoints to take advantage of API management features. Enabled by default, use --no-enable-cloud-endpoints to disable.
--enable-cloud-logging
    Automatically send logs from the cluster to the Google Cloud Logging API. Enabled by default, use --no-enable-cloud-logging to disable.
--enable-cloud-monitoring
    Automatically send metrics from pods in the cluster to the Google Cloud Monitoring API. VM metrics will be collected by Google Compute Engine regardless of this setting. Enabled by default, use --no-enable-cloud-monitoring to disable.
--machine-type MACHINE_TYPE, -m MACHINE_TYPE
    The type of machine to use for nodes. Defaults to server-specified
--max-nodes MAX_NODES
    Maximum number of nodes in the node pool.
--max-nodes-per-pool MAX_NODES_PER_POOL
    The maximum number of nodes to allocate per default initial node pool. Container engine will automatically create enough nodes pools such that each node pool contains less than --max-nodes-per-pool nodes. Defaults to 1000 nodes, but can be set as low as 100 nodes per pool on initial create.
--min-nodes MIN_NODES
    Minimum number of nodes in the node pool.
--network NETWORK
    The Compute Engine Network that the cluster will connect to. Google Container Engine will use this network when creating routes and firewalls for the clusters. Defaults to the 'default' network.
--num-nodes NUM_NODES; default="3"
    The number of nodes to be created in each of the cluster's zones.
--password PASSWORD
    The password to use for cluster auth. Defaults to a randomly-generated string.
--scopes SCOPE,[SCOPE,...]
    Specifies scopes for the node instances. The project's default service account is used. Examples:
        $ gcloud container clusters create example-cluster \
            --scopes https://www.googleapis.com/auth/devstorage.read_only
        $ gcloud container clusters create example-cluster \
            --scopes bigquery,storage-rw,compute-ro
    Multiple SCOPEs can specified, separated by commas. The scopes necessary for the cluster to function properly (compute-rw, storage-ro), are always added, even if not explicitly specified. SCOPE can be either the full URI of the scope or an alias. Available aliases are:
    Alias | URI
    bigquery | https://www.googleapis.com/auth/bigquery
    cloud-platform | https://www.googleapis.com/auth/cloud-platform
    compute-ro | https://www.googleapis.com/auth/compute.readonly
    compute-rw | https://www.googleapis.com/auth/compute
    datastore | https://www.googleapis.com/auth/datastore
    logging-write | https://www.googleapis.com/auth/logging.write
    monitoring | https://www.googleapis.com/auth/monitoring
    monitoring-write | https://www.googleapis.com/auth/monitoring.write
    service-control | https://www.googleapis.com/auth/servicecontrol
    service-management | https://www.googleapis.com/auth/service.management
    sql | https://www.googleapis.com/auth/sqlservice
    sql-admin | https://www.googleapis.com/auth/sqlservice.admin
    storage-full | https://www.googleapis.com/auth/devstorage.full_control
    storage-ro | https://www.googleapis.com/auth/devstorage.read_only
    storage-rw | https://www.googleapis.com/auth/devstorage.read_write
    taskqueue | https://www.googleapis.com/auth/taskqueue
    useraccounts-ro | https://www.googleapis.com/auth/cloud.useraccounts.readonly
    useraccounts-rw | https://www.googleapis.com/auth/cloud.useraccounts
    userinfo-email | https://www.googleapis.com/auth/userinfo.email
--subnetwork SUBNETWORK
    The name of the Google Compute Engine subnetwork (https://cloud.google.com/compute/docs/subnetworks) to which the cluster is connected. If specified, the cluster's network must be a "custom subnet" network. Specification of subnetworks is an alpha feature, and requires that the Google Compute Engine alpha API be enabled.
--username USERNAME, -u USERNAME; default="admin"
    The user name to use for cluster auth.
--wait
    Poll the operation for completion after issuing a create request. Use --no-wait to disable.
--zone ZONE, -z ZONE
    The compute zone (e.g. us-central1-a) for the cluster

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.